<template>
  <box>
    <h1 class="text-gray-400 text-xs">{{ title }}</h1>
    <div
      class="flex flex-row justify-between items-center text-3xl py-2 font-semibold"
    >
      {{ value }}

      <lull-icon
        class="rounded-md px-3"
        :boxColor="boxColor"
        :icon="icon"
        :color="iconColor"
        :box="true"
        :outlined="iconOutline"
      />
    </div>

    <div
      class="border-solid border-t pt-3 text-gray-400 flex flex-row items-center text-xs"
    >
      <lull-icon outlined icon="fa-clock" class="pr-2" />
      {{ footer }}
    </div>
  </box>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'stat-box',
  props: {
    title: { type: String, required: true },
    value: { type: String, required: true, default: '0' },
    icon: { type: String, required: true },
    footer: { type: String, required: true },
    iconColor: { type: String, required: false, default: 'white' },
    iconOutline: { type: Boolean, required: false, default: false },
    boxColor: {
      type: String,
      required: false,
      default: 'rgba(17, 24, 39, 0.85)',
    },
  },
});
</script>

<style lang="scss" scoped>
</style>